Mono.Parallel 4.0.0.0 System.Object System.IDisposable This class wraps a to provide a suitable ParallelFx worker (i.e. something that process ). To be added.
- Constructor
  4.0.0.0
  This is an array containing all other workers created. It's necessary if you want worker cooperating together for getting extra work.
  The position in the previous array where this worker will be placed.
  This is the global data structures that holds the Task when the system starts and is not yet bootstraped. It's also where tasks end up if they are executed with fairness enabled.
  The personnal instance of a deque type used by the worker when storing the tasks its responsible of and letting other workers retrieve them.
  The priority of the underlying thread.
  This is a handle shared (ideally) by all workers to synchronize and deep sleep when there is no more work to do. Setting the handle will wake them up.
  Build a new worker instance.
  To be added.
- Property
  4.0.0.0
  Mono.Threading.Tasks.ThreadWorker This [ThreadStatic] field is automatically updated when WorkerMethod method run so that you can check if you are making a re-entrant call on the same thread. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` Task being scheduled This method is called when the currently executing Task tries to schedule another Task as part of its computation. This method allows to redirect the scheduling to a specific place. By default the supplied task is added to the ThreadWorker deque via the PushBottom operation.
- Property
  4.0.0.0
  Mono.Threading.Tasks.IConcurrentDeque<System.Threading.Tasks.Task> Allow access to the used by the ThreadWorker. To be added. To be added.
- Method
  4.0.0.0
  System.Void To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Boolean Tells if the underlying thread has exited or not. To be added. To be added.
- Method
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Int32 Return the Id of the underlying thread used by the ThreadWorker. To be added. To be added.
- Method
  4.0.0.0
  System.Void To be added. To be added.
- Property
  4.0.0.0
  Mono.Threading.Tasks.ThreadWorker[] Returns the array of existing ThreadWorker that been initially supplied. To be added. If you are iterating the array, make sure you skip the current instance of ThreadWorker with value of
- Property
  4.0.0.0
  System.Threading.ThreadPriority The priority the underlying thread is running with. To be added. To be added.
- Method
  4.0.0.0
  System.Void To be added. To be added.
- Method
  4.0.0.0
  System.Void Stop the underlying thread of this ThreadWorker. To be added.
- Property
  4.0.0.0
  System.Threading.ManualResetEvent Acces the WaitHandle normally shared by all your ThreadWorker instances to deep sleep or otherwise synchronize on. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean This is the method executed by WorkerMethod to do the actual processing of tasks. if the method processed a while it ran, otherwise. By default this method applies the following algorithm:
  Check if the global data structures contains task and fetch as much as possible into its own deque
  Execute whatever its deque contains
  Do a couple of pass over the other workers to try to steal some work to do
- Method
  4.0.0.0
  System.Void This is the method executed by the underlying thread. By default this method consists of a while loop calling repeatedly and sleeping accordingly when there is no more work to do.
- Property
  4.0.0.0
  System.Int32 Position of the current instance in the array. To be added. To be added.